Levain LabsLevain Labs
API ReferenceAgents

Update Agent

Update an agent.

PATCH
/api/v1/agents/{agent_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id

Header Parameters

X-API-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.levainlabs.com/api/v1/agents/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "name": "string",
  "slug": "string",
  "description": "string",
  "status": "string",
  "config": {
    "max_budget": 1,
    "timeout_minutes": 1,
    "notify_on_run": true
  },
  "created_at": "string",
  "updated_at": "string",
  "draft_version": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}